-- =============================================
-- Author:		<Colaneri,,Adriano>
-- Create date: <07/12/2017>
-- Description:	<Restituisce un'informazione booleana sulla presenza o meno di servizi aggiuntivi per il contratto del cliente in input>
-- =============================================
CREATE FUNCTION [C6Mart].[EsistonoServiziAggiuntivi]
(
	@Rete varchar(1),
	@CodiceFiscale varchar(20)
)
RETURNS bit
AS
BEGIN
	declare @chiaveclientepb int
	declare @numServ tinyint
	declare @ret bit
	set @ret = 0
	set @numServ = 0
	-- Cerca chiaveclientepb a partire da Rete + CodiceFiscale
	select @chiaveclientepb = ChiaveClientePb
	from [BFDSPUC01T].ConsulenzaUnica.[dbo].[vInfoCliente]
	where rete = @Rete and CodFis = @CodiceFiscale
	select @numServ = count(*)
	from [BFDSPUC01T].ConsulenzaUnica.[dbo].[v_servizi_aggiuntivi]
	where chiaveclientepb = @chiaveclientepb
	and flagattivo = 1
	if @numServ > 0
		set @ret = 1
	return @ret
END